GDB (xrefs)

Public Attributes | List of all members
linux_mnsh Struct Reference

## Public Attributes
pid_t | pid
int | sock
ino_t | nsid

## Detailed Description

Definition at line 619 of file linux-namespaces.c.

## Member Data Documentation

## ◆ nsid

ino_t linux_mnsh::nsid

Definition at line 628 of file linux-namespaces.c.

Referenced by linux_mntns_access_fs(), and linux_mntns_get_helper().

## ◆ pid

pid_t linux_mnsh::pid

Definition at line 622 of file linux-namespaces.c.

Referenced by linux_mntns_get_helper(), and mnsh_maybe_mourn_peer().

## ◆ sock

int linux_mnsh::sock

Definition at line 625 of file linux-namespaces.c.

Referenced by linux_mntns_get_helper(), mnsh_recv_fd(), mnsh_recv_int(), and mnsh_recv_intstr().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/nat/linux-namespaces.c